
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>0/1背包问题（回溯法） / 憋错料</title>

    <meta name="description" content="0/1背包问题（回溯法） 回溯法是一个既带有系统性又带有跳跃性的搜索算法.它在包含问题的所有解的解空间树中,按深度优先策略,从根结点出发搜索解空间树.算法搜索至解空间树的任意一结点时,先判断该结点是否包含问题的解.如果肯定不包含,则跳过对该结点为根的子树搜索,逐层向其祖先结点回溯:否则 ,进入该子树,继续按深度优先策略搜索. 问题的解空间 用回溯法解问题时,应明确定义问题的解空间.问题的解空间至少包含问题的一个(最优)解.对于 n=3 时的 0/1 背包问题,可用一棵完全二叉树表示解空间,如图所示: 求解步骤 1)针对所">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">0/1背包问题（回溯法）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>　　<strong>回溯法是一个既带有系统性又带有跳跃性的搜索算法。它在包含问题的所有解的解空间树中，按深度优先策略，从根结点出发搜索解空间树。算法搜索至解空间树的任意一结点时，先判断该结点是否包含问题的解。如果肯定不包含，则跳过对该结点为根的子树搜索，逐层向其祖先结点回溯；否则 ，进入该子树，继续按深度优先策略搜索。</strong></p>
<h3>问题的解空间</h3>
<p>用回溯法解问题时，应明确定义问题的解空间。问题的解空间至少包含问题的一个(最优)解。对于 n=3 时的 0/1 背包问题，可用一棵完全二叉树表示解空间，如图所示：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzkyOTY1Mi8yMDE3MDUvOTI5NjUyLTIwMTcwNTEwMTU0MDMwNTY2LTE4NTk4Mjk1MDIucG5n.jpg"></p>
<h3>求解步骤</h3>
<p>1)针对所给问题，定义问题的解空间；</p>
<p>2)确定易于搜索的解空间结构；</p>
<p>3)以深度优先方式搜索解空间，并在搜索过程中用剪枝函数避免无效搜索。</p>
<p>常用的剪枝函数：用约束函数在扩展结点处剪去不满足约束的子树；用限界函数剪去得不到最优解的子树。</p>
<p>回溯法对解空间做深度优先搜索时，有递归回溯和迭代回溯（非递归）两种方法，但一般情况下用递归方法实现回溯法。</p>
<h3>算法描述</h3>
<p>　　解 0/1 背包问题的回溯法在搜索解空间树时，只要其左儿子结点是一个可行结点，搜索就进入其左子树。当右子树中有可能包含最优解时才进入右子树搜索。否则将右子树剪去。<strong><br /></strong></p>
<p><strong>代码：</strong></p>
<pre>public class Knapsack_Problem01 {
    double m=100; //背包最大容量
    int n=5;  //物品的个数
    int[] w = {10,20,30,40,50}; //第i个物品的重量
    int[] v = {20,30,65,40,60};  //第i个物品的价值

    int[] a = new  int[n]; //记录在树中的移动路径,为1的时候表示选择该组数据，为0的表示不选择该组数据
    int maxvalue = 0;   //背包的最大权重值
    public static void main(String[] args)
    {
        Knapsack_Problem01 p = new Knapsack_Problem01();
        p.Search(0);
    }
    public void Search(int i)   //i表示递归深度
    {
        if(i&gt;=n)
        {
            CheckMax();
        }
        else {
            a[i] = 0;
            Search(i+1);
            a[i] = 1;
            Search(i+1);
        }
    }
    public void CheckMax()
    {
        int weight = 0;
        int value = 0;
        for(int i=0;i&lt;n;i++)  //判断是否达到上限
        {
            if(a[i] == 1)
            {
                weight = weight + w[i];
                value = value + v[i];
            }
        }
        if(weight &lt;= m)
        {
            if(value &gt;= maxvalue)
            {
                maxvalue = value;
                System.out.print("最大价值是：" + maxvalue +"  ");
                System.out.print("所选取的物品为(1代表选中，0代表不选中)： ");
                for(int j=0;j&lt;n;j++)
                {
                    System.out.print(a[j]);
                    System.out.print(‘ ‘);
                }
                System.out.print(‘\n‘);
            }

        }
    }
}</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-23 13:38:40 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/img/" title="img">img</a>, <a href="https://www.biecuoliao.com/tag/ring/" title="ring">ring</a>, <a href="https://www.biecuoliao.com/tag/%e5%90%a6%e5%88%99/" title="否则">否则</a>, <a href="https://www.biecuoliao.com/tag/%e9%92%88%e5%af%b9/" title="针对">针对</a>, <a href="https://www.biecuoliao.com/tag/%e4%bb%b7%e5%80%bc/" title="价值">价值</a>, <a href="https://www.biecuoliao.com/tag/%e9%9d%9e%e9%80%92%e5%bd%92/" title="非递归">非递归</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>0/1背包问题（回溯法）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBmqOE4.html" rel="bookmark">回溯法-01背包问题之一：递归模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.回溯法 回溯法是一个既带有系统性又带有跳跃性的搜索算法.它在包含问题的所有解的解空间树中按照深度优先的策略,从根节点出发搜索解空间树.算法搜索至解空间树的任一节点时,总是先判断该节点是否肯定不包含问题的解.如果肯定不包含,则跳过对以该节点为根的子树的系统搜索,逐层向其原先节点回溯.否则,进入该子树,继续按深度优先的策略进行搜索. 运用回溯法解题通常包含以下三个步骤: · 针对所给问题,定义问题的解空间: · 确定易于搜索的解空间结构: · 以深度优先的方式搜索解空间,并且在搜索过程中用剪枝函			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVqlXk4.html" rel="bookmark">ACM：回溯法，八皇后问题，素数环</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(一)八皇后问题 (1)回溯法 #include &lt;iostream&gt; #include &lt;string&gt; #define MAXN 100 using namespace std; int tot = 0, n = 8; int C[MAXN]; void search(int cur) { if(cur == n) ++tot; //递归边界,只要走到了这里,所有皇后必然不冲突 else for(int i = 0; i &lt; n; ++i) { int ok = 1; C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xazVn3.html" rel="bookmark">ACM：回溯法，枚举排列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(一)生成1~n的排列 分析:用递归的思想解决:先输出所有以1开头的排列(这一步是递归调用),然后输出以2开头的排列(又是递归调用),接着是以3开头的排列......最后才是以n开头的排列. 伪代码: void print_permutation(序列A, 集合S) { if(S为空) 输出序列A: else 按照从小到大的顺序依次考虑S的每个元素v { print_permutation(在A的末尾填加v后得到的新序列,S-{v}): } } 下面是实现代码: #include &lt;iostre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mz6n9yM.html" rel="bookmark">【回溯法】八皇后问题（递归和非递归）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先贴代码,分递归回溯法和非递归回溯法 递归回溯法,代码如下: // test.cpp : Defines the entry point for the console application. // #include &quot;stdafx.h&quot; #include &lt;iostream&gt; #include &lt;stdio.h&gt; using namespace std; int a[9] = {0}; int n = 8; int count = 0; bool check			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bGqBm3.html" rel="bookmark">回溯法编程技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 什么是回溯法 引用一下维基百科对回溯法的介绍: 回溯法(英语:backtracking)是暴力搜索法中的一种. 对于某些计算问题而言,回溯法是一种可以找出所有(或一部分)解的一般性算法,尤其适用于约束满足问题(在解决约束满足问题时,我们逐步构造更多的候选解,并且在确定某一部分候选解不可能补全成正确解之后放弃继续搜索这个部分候选解本身及其可以拓展出的子候选解,转而测试其他的部分候选解). 在经典的教科书中,八皇后问题展示了回溯法的用例.(八皇后问题是在标准国际象棋棋盘中寻找八个皇后的所有分布			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vKynZ4.html" rel="bookmark">利用回溯法求解背包问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近看完了利用回溯法求八皇后问题,最后成功求解到92种解法,然后在看利用贪心求解背包问题,突然想到其实也可以利用回溯法求解背包问题,本质上回溯法是一个穷举的方式在求. 回溯法求解出的结果肯定是正确的,这也可以验证自己所写的贪心算法的正确性. 问题描诉: 设定Wmax为最大重量,W[](0~n-1)为编号0~n-1的货物重量,V[](0~n-1)为其价值,x[]为其中解, 在wn=ΣXi*Wi&lt;Wmax的条件下,求Vmax=ΣXi*Vi. 代码如下: //全局变量最大价值int maxvalue=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/418d7v3.html" rel="bookmark">01背包问题（回溯法）python实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				接上一篇,同样的01背包问题,上一篇采用动态规划的方法,现在用回溯法解决.回溯法采用深度优先策略搜索问题的解,不多说,代码如下: bestV=0 curW=0 curV=0 bestx=None def backtrack(i): global bestV,curW,curV,x,bestx if i&gt;=n: if bestV&lt;curV: bestV=curV bestx=x[:] else: if curW+w[i]&lt;=c: x[i]=True curW+=w[i] curV+=v[i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kDdjd3.html" rel="bookmark">回溯法-01背包问题之二：顺序执行模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上文已讲述了回溯法以及01背包问题的原理,本文讲述如何顺序执行解决01背包问题以及通过模板模式重构软件. 一.顺序执行流程图 图1无剪枝函数的01背包问题顺序执行算法流程图 图2 有剪枝函数的01背包问题顺序执行算法流程图 无剪枝函数是通用的深度遍历算法,为了减少搜索深度可通过剪枝函数处理完全不可能的分枝.与递归方案的区别主要表现在i&gt;=n后需要&quot;回溯&quot;,即用后进先出的方式将物品逐个拿出. 二.执行代码 递归与顺序执行方法仅仅是实现方法Backtracking(int i)不同,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoLWyb0.html" rel="bookmark">回溯法解背包问题分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先亮出题目: 一,背包问题 及 回溯法解其问题的伪代码 二,赋值后的具体实例 三,如何看懂伪代码 (1)真正了解回溯法的核心思想 我总结的回溯法解题步骤: &lt;1&gt;先找出第一个解 &lt;2&gt;回溯 (2)回溯法核心思想 + 伪代码 + 图9-5 树结构来分析 四,伪代码代入值解析 核心:先找到第一个解,再回溯. cw=0;//背包当前重量 初始值 cp=0;//背包当前价值 初始值 k=1;//第一个物品 n=8;//共8个物品 W=110 第一步:得出第1个可行解: (1)k=1 k=1			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/E3wjAY0.html" rel="bookmark" class="title">hdu 5323 Solve this interesting problem（dfs）</a>
					<div>
						题目链接:hdu 5323 Solve this interesting problem 逆向思维,每次向左或向右翻倍,知道左端点为0时,即恰好满足的情况,处理处所有情况去取最小值. #include ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0byOjLM.html" rel="bookmark" class="title">git 配置多个SSH-Key（转）</a>
					<div>
						摘要 我们在日常工作中会遇到公司有个gitlab,还有些自己的一些项目放在github上.这样就导致我们要配置不同的ssh-key对应不同的环境. 目录[-] 1,生成一个公司用的SSH-Key 2, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49r871M.html" rel="bookmark" class="title">Vijos1450 包裹快递&lbrack;二分答案&rsqb;</a>
					<div>
						背景 小K成功地破解了密文.但是乘车到X国的时候,发现钱包被偷了,于是无奈之下只好作快递员来攒足路费去Orz教主…… 描述 一个快递公司要将n个包裹分别送到n个地方,并分配给邮递员小K一个事先设定好的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l5WzP3.html" rel="bookmark" class="title">手机端弹出层：Layer Mobile API文档手册v1&period;2</a>
					<div>
						原文地址:http://sentsin.com/jquery/layer/ 参数 即核心接口:layer.open(options) 中的options: type 类型:Number 默认:0,设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QAQ7L4.html" rel="bookmark" class="title">UIKit&lowbar;Day01</a>
					<div>
						DAY01 目标        写一个IOS的程序界面在界面中打印出Hello Word  应用程序是如何运行起来的:           int main(int argc, char * argv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZNozM.html" rel="bookmark" class="title">ubuntu下新建VPN连接</a>
					<div>
						1. 安装VPN Client#sudo apt-get install pptp-linux2. 安装网络管理器对VPN的支持#sudo apt-get install network-manage ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6bxyJM.html" rel="bookmark" class="title">得到目录下的所有文件</a>
					<div>
						//得到目录下的所有文件夹 public static void Get_All_Filepath_In_Directory(string dirpath, List&lt;string&gt; li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38w57g0.html" rel="bookmark" class="title">asp&period;net基础中Get和Post的区别。</a>
					<div>
						1.可以设定form的Method属性制定表单提交方式,Get(默认值)是通过URL传递表单值,post传递的表单只是隐藏到http报文中,url中看不到. 2.Get和Post的区别:get是通过u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6baGNM.html" rel="bookmark" class="title">Linux C 程序设计多线程基础篇</a>
					<div>
						   Linux C 程序设计多线程基础篇 题记:因为 Linux 网络入侵检测系统的设计与实现希望使用多线程,因此希望系统的学习一下 Linux C程序设计多线程的知识 注意事项:因为 pthrae ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nkO2p3.html" rel="bookmark" class="title">【Codeforces 722C】Destroying Array &lpar;数据结构、set&rpar;</a>
					<div>
						题意 输入一个含有 n(1≤n≤100000) 个非负整数的 a 数组和一个 1-n 的排列 p 数组,求每次删除 a[p[i]] 后,最大连续子段和(不能跨越被删除的)是多少? 分析 因为都是非负整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bROqp0.html" rel="bookmark" class="title">Vim简易教程</a>
					<div>
						1. 介绍: Vim时Linux内置的一款可定制的文本编辑器,用户可以根据自己的需求对其进行功能的补充. 2. 使用: vim的操作分为三种模式:一般模式,编辑模式,命令模式. 一般模式: 当使用vi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nL6Oj4.html" rel="bookmark" class="title">centos python版本升级问题</a>
					<div>
						问题: 使用parse平台时需要依赖python 2.7, centos6.5中python版本是2.6. 相关因素:1. yum依赖python,因而卸载python时需要考虑这个问题 2. yum ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dRXnw4.html" rel="bookmark" class="title">kylin cube测试时，报错：org&period;apache&period;hadoop&period;security&period;AccessControlException&colon; Permission denied&colon; user&equals;root&comma; access&equals;WRITE&comma; inode&equals;&amp;quot&semi;&sol;user&amp;quot&semi;&colon;hdfs&colon;supergroup&colon;drwxr-xr-x</a>
					<div>
						异常: org.apache.hadoop.security.AccessControlException: Permission denied: user=root, access=WRITE, i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPvPwy3.html" rel="bookmark" class="title">leetcode-19-merge</a>
					<div>
						88. Merge Sorted Array 解题思路: 需要注意,两个数组是排好序的,且nums1够大.所以从两个数组的尾端开始比较,大的那个放在nums1的尾部,并且放了之后就可以前进. 例如nu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NynoJ3.html" rel="bookmark" class="title">pt-osc改表导致数据不一致案例分析</a>
					<div>
						2016-06-10 李丹 dba流浪猫 我们平时除了解决自己问题外,有时候也会协助圈内人士,进行一些故障排查,此案例就是帮某公司DBA进行的故障分析,因为比较典型,特分享一下,但仅仅是分享发生的过程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rBpz93.html" rel="bookmark" class="title">25个增强iOS应用程序性能的提示和技巧&lpar;中级篇&rpar;&lpar;2&rpar;</a>
					<div>
						25个增强iOS应用程序性能的提示和技巧(中级篇)(2) 2013-04-16 14:42 破船之家 beyondvincent 字号:T | T 本文收集了25个关于可以提升程序性能的提示和技巧,分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLRoqO3.html" rel="bookmark" class="title">mysql支持emoji解决办法</a>
					<div>
						mysql显示不了emoji表情或者显示??,原因这里不解释,直接说解决办法.(主要就是修改utf8mb4) 1.修改表 ALTER TABLE `TABLE_NAME` CHARACTER SET  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0b5rL9M.html" rel="bookmark" class="title">LAMP环境编译</a>
					<div>
						准备工作禁用SElinux和防火墙 iptables -F简单的shell解压脚本[[email protected] xiaoming]# vi tar.sh #!/bin/shcd /rootls ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgEnK3.html" rel="bookmark" class="title">Hadoop 2&period;6&period;0集群搭建（未完）</a>
					<div>
						分给我的云服务器只有2台= = 所以只用两台来搭建~多台也就是多配几个slave节点木有关系的啦~那么下来开始啦 一.首先准备好编译过的hadoop2.6版本,以及相关jar包~准备开始搞啊~ 解压命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4plo7R4.html" rel="bookmark" class="title">Android中makfile的随记</a>
					<div>
						什么是makefile?也许非常多Winodws的程序员都不知道这个东西,由于那些Windows的IDE都为你做了这个工作,但我认为要作一个好的Android底层程序员. makefile还是要懂.  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
